ignorePkg kde 4.6.0

Domande inerenti al gestore dei pacchetti di Arch Linux
Rispondi
pietro
Novello Arciere
Messaggi: 67
Iscritto il: 30 novembre 2007, 9:55

Messaggio da pietro » 30 gennaio 2011, 14:03

Ciao a tutti,

vorrei aspettare a fare il passaggio a kde 4.6 fino a quando non esce la 4.6.2 o 3, ma allo stesso tempo mi piacerebbe continuare a mantenere il mio sistema aggiornato. Ho quindi modificato il pacman.conf

Codice: Seleziona tutto

IgnorePkg   = soprano akonadi phonon
IgnoreGroup = kde
ottengo però:

Codice: Seleziona tutto

Pacchetti (67): linux-api-headers-2.6.37-1  glibc-2.13-1  lib32-glibc-2.13-1  lib32-gcc-libs-4.5.2-5
                gcc-libs-multilib-4.5.2-5  aspell-0.60.6-5  binutils-2.21-3  cfitsio-3.260-1
                consolekit-0.4.3-1  device-mapper-2.02.81-1  elfutils-0.151-1  file-5.05-1  gcc-4.5.2-5
                gcc-fortran-4.5.2-5  ghostscript-9.00-4  glew-1.5.7-2  hunspell-1.2.14-2
                imagemagick-6.6.7.3-1  kde-l10n-it-4.6.0-1  strigi-git20110107-1
                libdbusmenu-qt-0.7.0-1  polkit-qt-0.99.0-1  grantlee-0.1.8-1  upower-0.9.8-2
                sg3_utils-1.29-1  parted-2.3-1  libatasmart-0.17-1  lsof-4.84-1  lvm2-2.02.81-1
                udisks-1.0.2-2  kdelibs-4.6.0-1  kdebase-lib-4.6.0-1  ntrack-009-1  libssh-0.4.8-1
                libcanberra-0.26-3  oxygen-icons-4.6.0-1  kdebase-runtime-4.6.0-1  kdepimlibs-4.6.0-1
                kdepim-runtime-4.4.10-1  python2-sip-4.12.1-1  python2-qt-4.8.3-1  qscintilla-2.4.6-6
                kdebindings-python-4.6.0-1  kdeedu-data-4.6.0-1  kdeedu-libkdeedu-4.6.0-1
                kdegames-libkdegames-4.6.0-1  kdegames-libkmahjongg-4.6.0-1  kdegraphics-libs-4.6.0-1
                kdepim-libkdepim-4.4.10-1  kdeplasma-addons-libs-4.6.0-1  kernel26-2.6.36.3-2
                kwebkitpart-1.1-1  lib32-db-5.1.19-1  lib32-libjpeg-8.3.0-1  libreoffice-3.3.0.4-1
                libreoffice-it-3.3.0.4-1  openssh-5.7p1-2  pacman-3.4.3-1  phonon-gstreamer-4.4.4-1
                polkit-kde-0.99.0-1  python2-pyparsing-1.5.5-1  python-3.1.3-2
                python2-matplotlib-1.0.1-1  python-sphinx-1.0.7-1  shadow-4.1.4.2-4  twisted-10.2.0-3
                vlc-1.1.6-1

se aggiungo gruppo di pacchetti aggiuntivi come:

Codice: Seleziona tutto

IgnorePkg   = soprano akonadi phonon
IgnoreGroup = kde kdepim kdelibs kdebase kdegraphics kdeedu kdegames kdeutils kdesdk kdeplasma
continuo ad avere la lista dei 67 pacchetti? c'è un modo per dire di saltarmi tutti pacchetti che contengono *kde*, voi sapete come fare?

l'unico modo è mettere i singoli pacchetti in IgnorePkg? e soprattutto questi pacchetti non dovrebbero appartenere già tutti al gruppo dei pacchetti kde? idee?

Carmine
Arciere
Messaggi: 236
Iscritto il: 6 dicembre 2009, 22:17
Località: Salerno

Messaggio da Carmine » 30 gennaio 2011, 14:09

Scusa, ma pacchetti come kdepim ecc... non sono gruppi, quindi vanno in IgnorePkg, ma che io sappia non puoi evitare di saltarti tutti i pacchetti col suffisso kde*, quindi ignore i pacchetti uno ad uno, ed ignora il gruppo ad esempio. Ti consiglio di togliere tutto in IgnorePkg e di inserire kde-meta in IgnoreGroup :)
Ultima modifica di Carmine il 30 gennaio 2011, 14:10, modificato 1 volta in totale.
Problem Exists Between Keyboard And Chair
Linux user: #492242

Avatar utente
ilpianista
Amministratore
Messaggi: 2952
Iscritto il: 6 ottobre 2007, 0:41
Località: Lecce, Italy
Contatta:

Messaggio da ilpianista » 30 gennaio 2011, 23:28

pietro per non passare alla 4.6.0 dovresti non aggiornare il sistema per un mese.

te vuoi bloccare qualsiasi pacchetto kde*, bene, si potrebbe anche fare...ma come fai con gli altri pacchetti? polkit-qt e polkit-kde 0.x non sono compatibili col 4.5, il plasmoide networkmanagement viene compilato su KDE 4.6 e quindi non va sul 4.5...come anche digikam/kipi-plugins che vengono compilati col nuovo kdegraphics e quindi non potresti usarli. Ho qualche dubbio su phonon che tutta via potrebbe anche funzionare, ma come farai quando arriverà qualche rebuild generale come libpng che presto comporterà il rebuild di quasi tutti i pacchetti?

pietro
Novello Arciere
Messaggi: 67
Iscritto il: 30 novembre 2007, 9:55

Messaggio da pietro » 31 gennaio 2011, 14:34

ok, mi avete convinto... aspetterò il primo weekend libero per fare un aggiornamento con calma... nel frattempo magari esce la 4.6.1, è che utilizzandolo per lavoro, non posso pensare di perderci troppo tempo se le cosa non funzionano come mi aspetto, ma farò così...

Grazie per le risposte.

Rispondi